# Request and Response

## Set the fiscal information for products in the given account

<mark style="color:orange;">`PUT`</mark> `https://api.alephcrm.com/v2/products/fiscalInformation`

#### Query Parameters

| Name                                                    | Type    | Description    |
| ------------------------------------------------------- | ------- | -------------- |
| API\_KEY<mark style="color:red;">\*</mark>              | String  | (default=none) |
| accountId <mark style="color:red;">\*</mark>            | Integer | (default=none) |
| fiscalInformationList<mark style="color:red;">\*</mark> |         |                |

{% tabs %}
{% tab title="200: OK {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="300: Multiple Choices {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="304: Not Modified {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="400: Bad Request {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="401: Unauthorized {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error string" %}

{% endtab %}

{% tab title="412: Precondition Failed {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}
{% endtabs %}

## Parameters details

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the orders you are trying to get.

### fiscalInformationList

Object with collection of product fiscal information


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/products/put-methods/update-product-fiscal-information/request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
